package com.dixheure.histo;

import com.dixheure.Alarm;
import com.dixheure.Alarm.Columns;
import com.dixheure.model.Track;

import android.content.ContentResolver;
import android.content.ContentUris;
import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;

public class Histories {


	public static Uri addHisto(ContentResolver contentResolver, long trackId, String track) {
		ContentValues values = new ContentValues();
		values.put(History.Columns.DATE, System.currentTimeMillis());
		values.put(History.Columns.TRACK, track);
		values.put(History.Columns.TRACK_ID, track);
		values.put(History.Columns.SNOOZED, 1);
		return contentResolver.insert(History.Columns.CONTENT_URI, values);
	}

	
	public static Cursor getHisto(ContentResolver contentResolver) {
		return contentResolver.query(History.Columns.CONTENT_URI, null, null, null, History.Columns.DEFAULT_SORT_ORDER);
	}
	
    public static Cursor getHisto(ContentResolver contentResolver, long alarmId) {
        Cursor cursor = contentResolver.query(
                ContentUris.withAppendedId(History.Columns.CONTENT_URI, alarmId),
                History.Columns.HISTO_QUERY_COLUMNS,
                null, null, null);
        if (cursor != null) {
            if (cursor.moveToFirst()) {
            	return cursor;
            }
        }
        return null;
    }
    
	public static int wakeupTrack(ContentResolver contentResolver, Track track) {
		
		ContentValues values=new ContentValues();
		values.put(History.Columns.SNOOZED, 0);
		
		return contentResolver.update(History.Columns.CONTENT_URI, values, "track_id=%", new String[]{Long.toString(track.getId())});
		
//		return contentResolver.update(History.Columns.CONTENT_URI, values, null, null);
	}
	
}
