package com.dixheure.histo;

import android.net.Uri;
import android.provider.BaseColumns;

public class History {
	
	 public static class Columns implements BaseColumns {
	        /**
	         * The content:// style URL for this table
	         */
	        public static final Uri CONTENT_URI =
	                Uri.parse("content://com.dixheure/histo");

	        /**
	         * Hour in 24-hour localtime 0 - 23.
	         * <P>Type: INTEGER</P>
	         */
	        public static final String DATE = "date";

	        /**
	         * Minutes in localtime 0 - 59
	         * <P>Type: INTEGER</P>
	         */
	        public static final String SNOOZED = "snoozed";

	        /**
	         * Days of week coded as integer
	         * <P>Type: INTEGER</P>
	         */
	        public static final String TRACK = "track";
	        
	        public static final String TRACK_ID = "track_id";


	        /**
	         * The default sort order for this table
	         */
	        public static final String DEFAULT_SORT_ORDER =
	                DATE + " DESC";


	        static final String[] HISTO_QUERY_COLUMNS = {
	            _ID, DATE, SNOOZED, TRACK, TRACK_ID};

	        /**
	         * These save calls to cursor.getColumnIndexOrThrow()
	         * THEY MUST BE KEPT IN SYNC WITH ABOVE QUERY COLUMNS
	         */
	        public static final int HISTO_ID_INDEX = 0;
	        public static final int HISTO_DATE_INDEX = 1;
	        public static final int HISTO_SNOOZED_INDEX = 2;
	        public static final int HISTO_TRACK_INDEX = 3;
	        public static final int HISTO_TRACK_ID_INDEX = 4;
	    }

}
